KeyStoreSpi
Date: 2016-06-24

java.security

## Class KeyStoreSpi

- java.lang.Object
- - java.security.KeyStoreSpi

-     public abstract class KeyStoreSpi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyStoreSpi()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Enumeration` | `engineAliases()`
    `abstract boolean` | `engineContainsAlias(String var0)`
    `abstract void` | `engineDeleteEntry(String var0)`
    `abstract Certificate` | `engineGetCertificate(String var0)`
    `abstract String` | `engineGetCertificateAlias(Certificate var0)`
    `abstract Certificate[]` | `engineGetCertificateChain(String var0)`
    `abstract Date` | `engineGetCreationDate(String var0)`
    `abstract Key` | `engineGetKey(String var0, char[] var1)`
    `abstract boolean` | `engineIsCertificateEntry(String var0)`
    `abstract boolean` | `engineIsKeyEntry(String var0)`
    `abstract void` | `engineLoad(InputStream var0, char[] var1)`
    `abstract void` | `engineSetCertificateEntry(String var0, Certificate var1)`
    `abstract void` | `engineSetKeyEntry(String var0, byte[] var1, Certificate[] var2)`
    `abstract void` | `engineSetKeyEntry(String var0, Key var1, char[] var2, Certificate[] var3)`
    `abstract int` | `engineSize()`
    `abstract void` | `engineStore(OutputStream var0, char[] var1)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStoreSpi

          public KeyStoreSpi()

  - ### Method Detail

    - #### engineAliases

          public abstract Enumeration engineAliases()

    - #### engineContainsAlias

          public abstract boolean engineContainsAlias(String var0)

    - #### engineDeleteEntry

          public abstract void engineDeleteEntry(String var0)
                                          throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### engineGetCertificate

          public abstract Certificate engineGetCertificate(String var0)

    - #### engineGetCertificateAlias

          public abstract String engineGetCertificateAlias(Certificate var0)

    - #### engineGetCertificateChain

          public abstract Certificate[] engineGetCertificateChain(String var0)

    - #### engineGetCreationDate

          public abstract Date engineGetCreationDate(String var0)

    - #### engineGetKey

          public abstract Key engineGetKey(String var0,
                         char[] var1)
                                    throws NoSuchAlgorithmException,
                                           UnrecoverableKeyException

      Throws:
        `NoSuchAlgorithmException`
        `UnrecoverableKeyException`

    - #### engineIsCertificateEntry

          public abstract boolean engineIsCertificateEntry(String var0)

    - #### engineIsKeyEntry

          public abstract boolean engineIsKeyEntry(String var0)

    - #### engineLoad

          public abstract void engineLoad(InputStream var0,
                        char[] var1)
                                   throws IOException,
                                          NoSuchAlgorithmException,
                                          CertificateException

      Throws:
        `IOException`
        `NoSuchAlgorithmException`
        `CertificateException`

    - #### engineSetCertificateEntry

          public abstract void engineSetCertificateEntry(String var0,
                                       Certificate var1)
                                                  throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### engineSetKeyEntry

          public abstract void engineSetKeyEntry(String var0,
                               Key var1,
                               char[] var2,
                               Certificate[] var3)
                                          throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### engineSetKeyEntry

          public abstract void engineSetKeyEntry(String var0,
                               byte[] var1,
                               Certificate[] var2)
                                          throws KeyStoreException

      Throws:
        `KeyStoreException`

    - #### engineSize

          public abstract int engineSize()

    - #### engineStore

          public abstract void engineStore(OutputStream var0,
                         char[] var1)
                                    throws IOException,
                                           NoSuchAlgorithmException,
                                           CertificateException

      Throws:
        `IOException`
        `NoSuchAlgorithmException`
        `CertificateException`